Skip to main content
`Ctrl`+`K`

# PCGAMGSetProcEqLim

Set number of equations to aim for per process on the coarse grids via processor reduction in `PCGAMG`

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetProcEqLim(PC pc, PetscInt n)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- n - the number of equations

## Options Database Key

- -pc_gamg_process_eq_limit limit - set the limit

## Note

`PCGAMG` will reduce the number of MPI processes used directly on the coarse grids so that there are around <limit> equations on each process that has degrees of freedom

## Developer Note

Should be named `PCGAMGSetProcessEquationLimit()`.

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetCoarseEqLim()`, `PCGAMGSetRankReductionFactors()`, `PCGAMGSetRepartition()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetProcEqLim_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages